DashboardPortletBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.DashboardPortletBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class DashboardPortletBossEJBImpl

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AppdefSessionUtil
          org.hyperic.hq.appdef.server.session.AppdefSessionEJB
              org.hyperic.hq.bizapp.server.session.DashboardPortletBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class DashboardPortletBossEJBImpl

extends AppdefSessionEJB
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`_ctx, _ic, log`

Constructor Summary
`DashboardPortletBossEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`org.json.JSONObject` | `getAlertCounts(AuthzSubject subj, java.util.List groupIds, PageInfo pageInfo)`
`org.json.JSONObject` | `getAllGroups(AuthzSubject subj)`
`org.json.JSONArray` | `getMeasurementData(AuthzSubject subj, java.lang.Integer resId, java.lang.Integer mtid, AppdefEntityTypeID ctype, long begin, long end)`
`static org.hyperic.hq.bizapp.shared.DashboardPortletBossLocal` | `getOne()`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`changeOwner, checkAIScanPermission, checkAlertingPermission, checkAlertingScope, checkControlPermission, checkCreateChildPermission, checkCreatePlatformPermission, checkModifyPermission, checkMonitorPermission, checkPermission, checkPermission, checkRemovePermission, checkViewPermission, createAuthzResource, createAuthzResource, deleteCustomProperties, filterResourceTypes, filterViewableServers, getApplicationPrototypeResourceType, getApplicationResourceType, getAuthzResourceType, getGroupResourceType, getInitialContext, getOperationByName, getOverlord, getPlatformPrototypeResourceType, getPlatformResourceType, getResourcePermissions, getResourceType, getRootResourceType, getServerPrototypeResourceType, getServerResourceType, getServiceCluster, getServicePrototypeResourceType, getServiceResourceType, getSessionContext, getViewableApplications, getViewableGroups, getViewablePlatformPKs, getViewablePlatforms, getViewableServers, getViewableServiceInventory, getViewableServices, removeAuthzResource, rollback, setSessionContext`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionUtil
`findResourceType, findResourceType, getAgentDAO, getAIQManagerLocal, getApplicationDAO, getApplicationManager, getConfigManager, getConfigResponseDAO, getCPropManager, getPlatformDAO, getPlatformManager, getPlatformTypeDAO, getResourceManager, getServerDAO, getServerManager, getServerTypeDAO, getServiceDAO, getServiceManager, getServiceTypeDAO`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.SessionBean
`setSessionContext`

Constructor Detail

### DashboardPortletBossEJBImpl

    public DashboardPortletBossEJBImpl()

Method Detail

### getMeasurementData

    public org.json.JSONArray getMeasurementData(AuthzSubject subj,
                                                 java.lang.Integer resId,
                                                 java.lang.Integer mtid,
                                                 AppdefEntityTypeID ctype,
                                                 long begin,
                                                 long end)
                                          throws PermissionException

  Returns:
    JSONArray made up of several JSONObjects. Output looks similar to this: [[{"data":{"2008-07-09T10:45:28-0700":[1],"2008-07-09T10:46:28-0700":[1], "2008-07-09T10:48:28-0700":[1],"2008-07-09T10:58:28-0700":[1]}, "resourceName":"clone-0"}]]
  Throws:
    `PermissionException`

### getAllGroups

    public org.json.JSONObject getAllGroups(AuthzSubject subj)
                                     throws PermissionException,
                                            org.json.JSONException

  Throws:
    `PermissionException`
    `org.json.JSONException`

### getAlertCounts

    public org.json.JSONObject getAlertCounts(AuthzSubject subj,
                                              java.util.List groupIds,
                                              PageInfo pageInfo)
                                       throws PermissionException,
                                              org.json.JSONException,
                                              javax.ejb.FinderException

  Throws:
    `PermissionException`
    `org.json.JSONException`
    `javax.ejb.FinderException`

### getOne

    public static org.hyperic.hq.bizapp.shared.DashboardPortletBossLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.